# Method: partners.vendors.list

- [HTTP request](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.vendors/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.vendors/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.vendors/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.vendors/list#body.request_body)
- [Response body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.vendors/list#body.response_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.vendors/list#body.ListVendorsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.vendors/list#body.aspect)

Lists the vendors of the partner.

### HTTP request

`GET https://androiddeviceprovisioning.googleapis.com/v1/{parent=partners/*}/vendors`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name in the format `partners/[PARTNER_ID]`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of results to be returned. |
| `pageToken` | `string` A token identifying a page of results returned by the server. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message to list vendors of the partner.

| JSON representation ||
|---|---|
| ``` { "vendors": [ { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers#Company`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `vendors[]` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.customers#Company`)`` List of vendors of the reseller partner. Fields `name`, `companyId` and `companyName` are populated to the Company object. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Omitted if no further results are available. |
| `totalSize` | `integer` The total count of items in the list irrespective of pagination. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkprovisioning`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).